ARG ODOO_CE_IMAGE

FROM ${ODOO_CE_IMAGE}
LABEL maintainer="{{ docker_maintainer }}"

ARG ODOO_VERSION
# VERSION_DATE is used as meta info in version.txt file generated at /odoo
#  and to limit cloning depth via shallow-since
#  VERSION_DATE must be equal to commit selected date
ARG VERSION_DATE


ARG ODOO_EN_GIT_TOKEN
# Image is built from Odoo branch given by VERSION AND WITH EXACT COMMIT HASH
# IMPORTANT! This script contains extra libraries that are specifically needed for Odoo 10.0
ARG ODOO_COMMIT_HASH

ENV ODOO_VERSION=${ODOO_VERSION}
ENV VERSION_DATE=${VERSION_DATE}

RUN mkdir -p /odoo/enterprise/addons

RUN set -x; \
    git clone --depth 1 --branch ${ODOO_VERSION} https://${ODOO_EN_GIT_TOKEN}@github.com/odoo/enterprise.git /odoo/enterprise/addons \
    && cd /odoo/enterprise/addons \
    && git reset --hard ${ODOO_COMMIT_HASH} \
    && rm -rf /odoo/enterprise/addons/.git

USER root

RUN sed -i -e "s/addons_path=\(.*\)/addons_path=\/odoo\/enterprise\/addons,\1/g" /etc/odoo/odoo.conf

USER odoo
